Include \masm32\include\windows.inc
Include \masm32\include\masm32.inc
Include \masm32\include\user32.inc
Include \masm32\include\kernel32.inc
Include \masm32\include\GDIplus_V0a.inc
Include \masm32\include\gdiplus_structures_ver0.inc
Include \masm32\macros\ucmacros.asm
;-------------------------------------------------------------------
IncludeLib \masm32\Lib\user32.lib
IncludeLib \masm32\Lib\masm32.lib
IncludeLib \masm32\Lib\kernel32.lib
IncludeLib \masm32\Lib\gdiplus.lib
;-------------------------------------------------------------------

.DATA
uElapse		DWORD 30	            ; Timer interval
GdiPlusSI 		GdiplusStartupInput <1,NULL,FALSE,FALSE> ; by default
rct			RECT <0,0,0,0>	      ; Client Rect of window
udwSpeed		DWORD 25			; virtual speed
udwPanel		DWORD 400			; helper to calculate star positions
udwCWidth		DWORD 0			; center position
udwCHeight		DWORD 0			;  of client rect
udwXoff		DWORD 0			; X-offset, 
udwYoff		DWORD 0			;  Y-offset for navigation simulation
rctF			RectF <0.0,0.0,800.0,800.0> ; needed for GdipDrawString API
fWidth		REAL4 2.0f			; line width [GdipCreatePen1]
emSize 		REAL4 20.0f			; font size
udwTime		DWORD 0
wText			DB "S",0,"p",0,"e",0,"e",0,"d",0,":",0," ",0,0,0,0,0,0,0,0,0

ALIGN 4
; _nrandom2
udwSeed 		DWORD 12345678

ClassName		DB "MainWinClass",0
szAppName		DB " Starfield Simulation",0
szGDIpInitFail	DB "GDIplus.dll not found",0
WSTR			wFontname,"Arial"

.DATA?
ALIGN 4
hGraphics		DWORD ?			; handle for GDI+ graphics class
hGraphics2		DWORD ?
hBitmap		DWORD ?			; handle for GDI+ bitmap class
hFontFam		DWORD ?			; handle for font family class
hCurFont		DWORD ?			; handle for selected font
hBrush		DWORD ?
hPen			DWORD ?
ptrStarTable	DWORD ?			; ptr to star table

; misc
hInstance		HINSTANCE ?
udwScrSizeX		DD ?				; Screen size X in pixels
udwScrSizeY		DD ?				; Screen size Y in pixels
TimerID			DD ?
hGDIplus 		DD ?				; token
szBuf			DB 4 DUP (?)		; general string buffer - ascii